<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__blsc__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_blsc_char_t</compoundname>
    <includes local="no">cy_ble_bls.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__blsc__char__t_1ae829bcb42803932346325a453fc957fb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_blsc_char_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for the value field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" line="79" />
      </memberdef>
      <memberdef id="structcy__stc__ble__blsc__char__t_1a6fbe6604115b07acadc08e2df2dcb452" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_blsc_char_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle of Server database attribute value entry. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" line="82" />
      </memberdef>
      <memberdef id="structcy__stc__ble__blsc__char__t_1a72e7f9850d26fad9cc74fa500f748b81" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_blsc_char_t::cccdHandle</definition>
        <argsstring />
        <name>cccdHandle</name>
        <briefdescription>
<para>Blood Pressure Client Characteristic config descriptor's handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" bodystart="85" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" line="85" />
      </memberdef>
      <memberdef id="structcy__stc__ble__blsc__char__t_1a531a0b1e75456a951cfba600951e6b9f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_blsc_char_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>Characteristic's end handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" bodystart="88" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" line="88" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Blood Pressure Client Server's Characteristic structure type. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="89" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" line="77" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__blsc__char__t_1a72e7f9850d26fad9cc74fa500f748b81" virt="non-virtual"><scope>cy_stc_ble_blsc_char_t</scope><name>cccdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__blsc__char__t_1a531a0b1e75456a951cfba600951e6b9f" virt="non-virtual"><scope>cy_stc_ble_blsc_char_t</scope><name>endHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__blsc__char__t_1ae829bcb42803932346325a453fc957fb" virt="non-virtual"><scope>cy_stc_ble_blsc_char_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__blsc__char__t_1a6fbe6604115b07acadc08e2df2dcb452" virt="non-virtual"><scope>cy_stc_ble_blsc_char_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>